API Execute an expression with dynamic input values. This endpoint executes a predefined expression and allows passing dynamic input values.
HTTP Method
POST
Endpoint
/api/data/records/dynamicexpression
Request URL
{Base URL}/api/data/records/dynamicexpression
Request Body
{
"QueryInfo": {
"Meta": {},
"Hints": {
"ExpressionName": "Fetch-AppNotifications",
"FilterReplacementList": {
"@Name": [
"9be484a1-e684-b32a-45c1-35983a9e6040__77df5935793a95a14fdef52a7e2117fd"
]
}
}
}
}
Parameters
| Param Name | Data Type | Description |
|---|---|---|
| ExpressionName | String | Name of the expression to execute (for example, Fetch-AppNotifications). |
| FilterReplacementList | Object | Contains dynamic values to replace placeholders in the given expression. |
Note: The specified expression must be configured in one of the following locations:
- Customization →
{CustomizationBranch}/Expressions/ExternalAPI/{ExpressionName} - Product →
HubEra/Artifacts/Expression/ExternalAPI/{ExpressionName}
Missing or invalid credentials returns a 401 Unauthorized error.
Curl Example
Multi-line format (for readability)
curl --header "Accept-Language: en" \
--http1.1 \
--insecure \
--verbose \
--ntlm \
--user "device-name1\jdoe:P@ssw0rd" \
-X POST \
"https://hubstreamproduction.hubstreamonline.com/api/data/records/dynamicexpression" \
-H "Content-Type: application/json" \
-d '{
"QueryInfo": {
"Meta": {},
"Hints": {
"ExpressionName": "Fetch-AppNotifications",
"FilterReplacementList": {
"@Name": [
"9be484a1-e684-b32a-45c1-35983a9e6040__77df5935793a95a14fdef52a7e2117fd"
]
}
}
}
}'
Single-line format (for terminal use)
curl --header "Accept-Language: en" --http1.1 --insecure --verbose --ntlm --user "device-name1\jdoe:P@ssw0rd" -X POST "https://hubstreamproduction.hubstreamonline.com/api/data/records/dynamicexpression" -H "Content-Type: application/json" -d "{\"QueryInfo\":{\"Meta\":{},\"Hints\":{\"ExpressionName\":\"Fetch-AppNotifications\",\"FilterReplacementList\":{\"@Name\":[\"9be484a1-e684-b32a-45c1-35983a9e6040__77df5935793a95a14fdef52a7e2117fd\"]}}}}"
Responses
Status code 2XX indicates a successful request and response.
200 OK
Description: Operation succeeded.
The response returns data generated by the executed expression.